YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class GeomUtil

Package | com.yahoo.astra.utils
Class | public class GeomUtil

Utility functions for common geometric operations.

Public Methods

| Method | Defined by
--- | --- | ---
|  | degreesToRadians(degrees:Number):Number [static] Converts an angle from degrees to radians. | GeomUtil
|  | radiansToDegrees(radians:Number):Number [static] Converts an angle from radians to degrees. | GeomUtil

Method detail

degreesToRadians | () | method

`public static function degreesToRadians(degrees:Number):Number`

Converts an angle from degrees to radians.

Parameters

| `degrees:Number` — The angle in degrees

Returns

| `Number` — The angle in radians

radiansToDegrees | () | method |

`public static function radiansToDegrees(radians:Number):Number`

Converts an angle from radians to degrees.

Parameters

| `radians:Number` — The angle in radians

Returns

| `Number` — The angle in degrees